List Agent Profile Pools
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/agent-profile-pools \
--header 'X-Asteroid-Agents-Api-Key: <api-key>'{
"items": [
{
"allowConcurrentUse": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"pageSize": 123,
"total": 123
}List Agent Profile Pools
List all agent profile pools for an organization
GET
/
agent-profile-pools
List Agent Profile Pools
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/agent-profile-pools \
--header 'X-Asteroid-Agents-Api-Key: <api-key>'{
"items": [
{
"allowConcurrentUse": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"pageSize": 123,
"total": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.asteroid.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Query Parameters
Filter by organization ID
Search pools by name (partial match)
Available fields for sorting agent profile pools
Available options:
name, created_at, updated_at Available options:
asc, desc ⌘I

